Loading...
Searching...
No Matches
Dune::cpgrid::EntityVariable< T, codim > Class Template Reference

A class design to hold a variable with a value for each entity of the given codimension, where the variable is not changing in sign with orientation. More...

`#include <EntityRep.hpp>`

Inheritance diagram for Dune::cpgrid::EntityVariable< T, codim >:

## Public Member Functions

| EntityVariable ()
| Default constructor.
const T & | operator[] (const EntityRep< codim > &e) const
| Random access to the variable through an EntityRep.
T & | operator[] (const EntityRep< codim > &e)
| Random access to the variable through an EntityRep.
Public Member Functions inherited from Dune::cpgrid::EntityVariableBase< T >
| EntityVariableBase ()
| Default constructor.
const T & | get (int i) const
T & | get (int i)
void | swap (EntityVariableBase &other)

## Additional Inherited Members

Public Types inherited from Dune::cpgrid::EntityVariableBase< T >
typedef std::vector< T > | V
typedef std::vector< T >::iterator | iterator
typedef std::vector< T >::const_iterator | const_iterator

## Detailed Description

template<typename T, int codim>
class Dune::cpgrid::EntityVariable< T, codim >

A class design to hold a variable with a value for each entity of the given codimension, where the variable is not changing in sign with orientation.

Examples include pressures and positions.

Template Parameters

  T | A value type for the variable, such as double for pressure etc.
  codim | Codimension.

## Member Function Documentation

## operator[]() [1/2]

template<typename T, int codim>

T & Dune::cpgrid::EntityVariable< T, codim >::operator[] | ( | const EntityRep< codim > & | e | ) |

inline

Random access to the variable through an EntityRep.

Parameters

  e | Entity representation.

Returns
  a mutable reference to the varable, at e.

## operator[]() [2/2]

template<typename T, int codim>

const T & Dune::cpgrid::EntityVariable< T, codim >::operator[] | ( | const EntityRep< codim > & | e | ) | const

inline

Random access to the variable through an EntityRep.

Parameters

  e | Entity representation.

Returns
  a const reference to the varable, at e.

The documentation for this class was generated from the following file:

- opm/grid/cpgrid/EntityRep.hpp